%{?nodejs_find_provides_and_requires}

%global packagename vinyl-fs
%global enable_tests 1

Name:		nodejs-vinyl-fs
Version:	2.4.3
Release:	1%{?dist}
Summary:	Vinyl adapter for the file system

License:	MIT
URL:		https://github.com/wearefractal/vinyl-fs.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(duplexify)
BuildRequires:	npm(glob-stream)
BuildRequires:	npm(gulp-sourcemaps)
BuildRequires:	npm(is-valid-glob)
BuildRequires:	npm(lazystream)
BuildRequires:	npm(lodash.isequal)
BuildRequires:	npm(merge-stream)
BuildRequires:	npm(strip-bom-stream)
BuildRequires:	npm(vali-date)
BuildRequires:	npm(vinyl)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(buffer-equal)
BuildRequires:	npm(default-resolution)
BuildRequires:	npm(del)
BuildRequires:	npm(expect)
BuildRequires:	npm(rimraf)
BuildRequires:	npm(should)
BuildRequires:	npm(sinon)
%endif

%description
Vinyl adapter for the file system


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package


%nodejs_fixdep strip-bom-stream
%nodejs_fixdep lodash.isequal

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo "Tests disabled..."
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}


%changelog
* Sat Jun 18 2016 Jared Smith <jsmith@fedoraproject.org> - 2.4.3-1
- Update to upstream 2.4.3 release

* Tue Feb  2 2016 Jared Smith <jsmith@fedoraproject.org> - 2.3.1-1
- Initial packaging
